lp:ubuntu/precise/poppler

Created by James Westby on 2011-10-13 and last modified on 2012-02-27
Get this branch:
bzr branch lp:ubuntu/precise/poppler
Members of Ubuntu branches can upload to this branch. Log in for directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Ubuntu branches
Status:
Mature

Recent revisions

110. By Martin Pitt on 2012-02-27

debian/control: Add back libfontconfig1-dev dependency to libpoppler-dev
for the time being, to avoid introducing FTBFS at this point. This will be
dropped again later on when all reverse dependencies have their build deps
fixed. Thanks Pino Toscano for pointing this out!

109. By Martin Pitt on 2012-02-21

* Merge with Debian experimental to get in sync with current Debian
  packaging. Remaining Ubuntu changes:
  - debian/control: Lower poppler-data to Suggests:. Too big for CD images,
    handled by language-selector.
  - debian/control: Drop libopenjpeg-dev build depends, it's in universe.
  - 10_fix-a4-page-shift-on-brother-ps-printers.patch,
    git_test_rotation.patch: See patch headers.
  - Use LCMS 2 instead of deprecated 1: (LP #885324)
    o Add poppler-lcm2.patch
    o debian/control: Build-depend on liblcms2-dev instead.

108. By Sebastien Bacher on 2012-02-16

* New upstream version:
  - "evince displays the included PDF without rotation" (lp: #711300)
  - Contents of the page is not displayed while it is OK
    with xpdf or acroread (lp: #878715)
* debian/control:
  - libpoppler-glib-dev shouldn't depends on libgtk-dev, it stopped using
    gdk and uses cairo directly (lp: #870662)

107. By Till Kamppeter on 2012-01-30

debian/patches/poppler-lcm2.patch: Updated patch according to an approved
upstream patch from Koji Otani.

106. By Sebastien Bacher on 2012-01-23

* debian/patches/git_test_rotation.patch:
  - git patch "cairo: Fix test for rotation" (lp: #193927)

105. By Till Kamppeter on 2012-01-20

* debian/patches/poppler-lcm2.patch: Ported Poppler from liblcms1 which is
  not maintained any more upstream to the up-to-date liblcms2. Thanks to
  Koji Otani for the patch (LP: #885324).
* debian/control: Build-depend on liblcms2-dev and not on liblcms-dev any
  more.

104. By Sebastien Bacher on 2012-01-16

New upstream version

103. By Sebastien Bacher on 2011-12-06

debian/control.in: let libpoppler-dev Build-Depends on libjpeg-dev,
some of the includes there list jpeglib.h

102. By Sebastien Bacher on 2011-12-05

* New upstream version, bugs fixed in the new version (lp: #869850):
  - lines and graphics wrongly rendered (lp: #603929) (lp: #780169)
  - rendering issues on some documents (lp: #784154)
  - some pages are displayed blank (lp: #817626)
* debian/control, debian/rules:
  - updated for the libpoppler and libpoppler-glib soname changes
* drop patches included in the new version
* debian/libpoppler-glib-dev.install:
  - drop deprecated test-poppler-glib
* debian/rules:
  - drop deprecated qt3 and abiword configure options

101. By Colin Watson on 2011-11-28

Rebuild for libjpeg8.

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:ubuntu/quantal/poppler
This branch contains Public information 
Everyone can see this information.

Subscribers